Subject: v7 nits

From: "[email-masked]" <[email-masked]>
Date: Tue, 20 May 2003 13:29:14 -0400

As long as we are still stuck in the bogs of identity usage, a
couple of points of v7 clarification would be also appreciated:

Text on protocol for notifications states:

   For notifications
     concerning IPsec SAs this field will contain either (2)
     to indicate AH or (3) to indicate ESP. For notifications
     for which no protocol ID is relevant, this field MUST be
     sent as zero and MUST be ignored.

What about "no prop chosen" for child props that include both
AH and ESP? What about "ipcomp supported" requests with
both AH and ESP props? I would claim that protocol ID is
not relevant, but the sentence above says I still need a "2" or "3".
Also, what SPI in these cases?

For "nat detection source/dest ip" notifies, text says to hash SPIs,
address and port. Which spis are to be used and in which order?

Jeff